> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flexxible.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener catálogo de versiones de agente

> Devuelve el catálogo de versiones permitidas de agente para el grupo de reporte seleccionado.



## OpenAPI

````yaml /api-reference/openapi-v1.json get /v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}/agent-versions/catalog
openapi: 3.0.3
info:
  title: API Publica Portal
  version: 1.0.0
  description: Api publica REST para portal
servers:
  - url: https://api.staging.flxwvdexternal.com
    description: Staging API server
security:
  - bearerAuth: []
tags: []
paths:
  /v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}/agent-versions/catalog:
    get:
      tags:
        - Grupos de reporte
      summary: Obtener catálogo de versiones de agente
      description: >-
        Devuelve el catálogo de versiones permitidas de agente para el grupo de
        reporte seleccionado.
      operationId: get_reporting_group_agent_versions_catalog
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            pattern: ^[0-9a-f]{24}$
            minLength: 24
            maxLength: 24
          description: Identificador de la organización objetivo.
          example: 507f1f77bcf86cd799439011
        - name: reporting_group_id
          in: path
          required: true
          schema:
            type: string
            pattern: ^[0-9a-f]{24}$
            minLength: 24
            maxLength: 24
          description: Identificador del grupo de reporte objetivo.
          example: 507f1f77bcf86cd799439022
      responses:
        '200':
          description: Catálogo de versiones recuperado correctamente.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetReportingGroupAgentVersionsCatalogResponseV1
              examples:
                ok_response:
                  summary: Catálogo por plataformas
                  value:
                    windows_cp:
                      - 2.30.4
                    windows:
                      - 2.31.1
                      - 2.30.4
                    macos:
                      - 1.10.0
                    linux:
                      - 1.12.0
        '400':
          $ref: '#/components/responses/BadRequest'
          description: Parámetros inválidos.
        '401':
          $ref: '#/components/responses/Unauthorized'
          description: No autorizado.
        '404':
          $ref: '#/components/responses/NotFound'
          description: Grupo de reporte no encontrado.
        '409':
          $ref: '#/components/responses/Conflict'
          description: El grupo no permite autogestión de versiones de agente.
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    GetReportingGroupAgentVersionsCatalogResponseV1:
      type: object
      properties:
        windows_cp:
          type: array
          items:
            type: string
        windows:
          type: array
          items:
            type: string
        macos:
          type: array
          items:
            type: string
        linux:
          type: array
          items:
            type: string
      required:
        - windows_cp
        - windows
        - macos
        - linux
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            code:
              type: string
            details:
              type: string
          required:
            - message
            - code
      required:
        - error
  responses:
    BadRequest:
      description: Solicitud incorrecta
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: No autorizado
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: No encontrado
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Conflict:
      description: Conflicto
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalServerError:
      description: Error interno del servidor
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````